For the complete documentation index, see llms.txt. This page is also available as Markdown.

兩地址往來總覽

彙總兩個地址之間的往來情況,包括雙向金額、交易筆數與主要資金方向。適合快速判斷雙方往來規模。

post
Authorizations
X-API-KeystringRequired
Body

POST /v1/counterparty/overview:兩地址聚合統計。

blockchainstringRequired
counterpartystring · nullableOptional
end_timeinteger · nullableOptional
output_assetstring · nullableOptional
start_timeinteger · nullableOptional
symbolsstring[] · nullableOptional
targetstring · nullableOptional
Responses
200

查詢成功,回傳兩地址往來的彙總統計

application/json
post/v1/counterparty/overview
POST /v1/counterparty/overview HTTP/1.1
Host: api.blockchainsecurity.asia
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119

{
  "blockchain": "tron",
  "counterparty": "TAUN6FwrnwwmaEqYcckffC7wYmbaS6cBiX",
  "target": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9"
}
{
  "data": {
    "assets_transferred": [
      "sun",
      "trx"
    ],
    "blockchain": "tron",
    "counterparty": "TAUN6FwrnwwmaEqYcckffC7wYmbaS6cBiX",
    "first_interaction": 1533891705,
    "last_interaction": 1630913688,
    "target": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
    "total_amount": "38038188656.72198486",
    "total_amount_usd": "25319326184.80",
    "total_count": 234,
    "transfer_betweens": [
      {
        "action": "send",
        "amount": "4973363911.66468334",
        "amount_usd": "0.00",
        "count": 26,
        "direction": "To",
        "symbols": [
          {
            "amount": "4973363911.66468334",
            "amount_usd": "0.00",
            "count": 20,
            "symbol": "trx"
          },
          {
            "amount": "0.00000000",
            "amount_usd": "0.00",
            "count": 5,
            "symbol": "usdt"
          }
        ]
      },
      {
        "action": "receive",
        "amount": "33064824745.05730438",
        "amount_usd": "0.00",
        "count": 208,
        "direction": "From",
        "symbols": [
          {
            "amount": "33064824745.05730438",
            "amount_usd": "0.00",
            "count": 138,
            "symbol": "trx"
          },
          {
            "amount": "0.00000000",
            "amount_usd": "0.00",
            "count": 5,
            "symbol": "sun"
          }
        ]
      }
    ]
  },
  "meta": {
    "request_id": "82573011-2aef-424a-a88b-f7d58a2e5324"
  }
}

Last updated

Was this helpful?